WyrdOS
Open App

Engines

API endpoints for engines

Strategic engines summary

GET /api/v1/engines/summary

Parameters

NameInTypeRequiredDescription
organisationIdquerystringNo

Example request

curl -X GET \
"https://<your-wyrdos-api-host>/api/v1/engines/summary?organisationId=<organisationId>" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json"

Response body type


Goal outcomes

GET /api/v1/engines/goals

Parameters

NameInTypeRequiredDescription
organisationIdquerystringNo
limitqueryintegerNo
cursorquerystringNoOpaque continuation token from a previous list response's nextCursor.

Example request

curl -X GET \
"https://<your-wyrdos-api-host>/api/v1/engines/goals?organisationId=<organisationId>&limit=<limit>&cursor=<cursor>" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json"

Example response

Status: 200

{
  "data": [],
  "nextCursor": "Launch readiness"
}

Response body type

{ data: array; nextCursor: string }


Value goals

GET /api/v1/engines/values

Parameters

NameInTypeRequiredDescription
organisationIdquerystringNo
limitqueryintegerNo
cursorquerystringNoOpaque continuation token from a previous list response's nextCursor.

Example request

curl -X GET \
"https://<your-wyrdos-api-host>/api/v1/engines/values?organisationId=<organisationId>&limit=<limit>&cursor=<cursor>" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json"

Example response

Status: 200

{
  "data": [],
  "nextCursor": "Launch readiness"
}

Response body type

{ data: array; nextCursor: string }


Principles

GET /api/v1/engines/principles

Parameters

NameInTypeRequiredDescription
organisationIdquerystringNo
limitqueryintegerNo
cursorquerystringNoOpaque continuation token from a previous list response's nextCursor.

Example request

curl -X GET \
"https://<your-wyrdos-api-host>/api/v1/engines/principles?organisationId=<organisationId>&limit=<limit>&cursor=<cursor>" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json"

Example response

Status: 200

{
  "data": [],
  "nextCursor": "Launch readiness"
}

Response body type

{ data: array; nextCursor: string }


Pillars

GET /api/v1/engines/pillars

Parameters

NameInTypeRequiredDescription
organisationIdquerystringNo
limitqueryintegerNo
cursorquerystringNoOpaque continuation token from a previous list response's nextCursor.
statusqueryNo

Example request

curl -X GET \
"https://<your-wyrdos-api-host>/api/v1/engines/pillars?organisationId=<organisationId>&limit=<limit>&cursor=<cursor>&status=<status>" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json"

Example response

Status: 200

{
  "data": [],
  "nextCursor": "Launch readiness"
}

Response body type

{ data: array; nextCursor: string }


Create engine item

POST /api/v1/engines/{kind}

Parameters

NameInTypeRequiredDescription
kindpathstring (pillars, principles, values, goals)Yes
organisationIdquerystringNo

Example request

curl -X POST \
"https://<your-wyrdos-api-host>/api/v1/engines/<kind>?organisationId=<organisationId>" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json" \
-d '{"name":"Launch readiness","status":"active","priority":"medium","description":"Track onboarding work for the beta launch.","content":"Decision notes, owner context, and next actions.","quarter":"Launch readiness","term":"none","targetCompletionDate":1782828000000,"typeIds":["type_strategy"],"categoryIds":["category_docs"],"pillarIds":["pillar_product_clarity"],"principleIds":["item_abc123"],"valueGoalIds":["goal_beta_readiness"],"goalOutcomeIds":["goal_beta_readiness"],"containerIds":["container_product"]}'

Response body type


Get engine item

GET /api/v1/engines/{kind}/{id}

Parameters

NameInTypeRequiredDescription
kindpathstring (pillars, principles, values, goals, containers)Yes
idpathstringYes
organisationIdquerystringNo

Example request

curl -X GET \
"https://<your-wyrdos-api-host>/api/v1/engines/<kind>/<id>?organisationId=<organisationId>" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json"

Response body type


Update engine item

PATCH /api/v1/engines/{kind}/{id}

Parameters

NameInTypeRequiredDescription
kindpathstring (pillars, principles, values, goals, containers)Yes
idpathstringYes
organisationIdquerystringNo

Example request

curl -X PATCH \
"https://<your-wyrdos-api-host>/api/v1/engines/<kind>/<id>?organisationId=<organisationId>" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json" \
-d '{"name":"Launch readiness","status":"active","priority":"medium","description":"Track onboarding work for the beta launch.","content":"Decision notes, owner context, and next actions.","quarter":"Launch readiness","term":"none","targetCompletionDate":1782828000000,"typeIds":["type_strategy"],"categoryIds":["category_docs"],"pillarIds":["pillar_product_clarity"],"principleIds":["item_abc123"],"valueGoalIds":["goal_beta_readiness"],"goalOutcomeIds":["goal_beta_readiness"],"containerIds":["container_product"]}'

Response body type


Delete engine item

DELETE /api/v1/engines/{kind}/{id}

Parameters

NameInTypeRequiredDescription
kindpathstring (pillars, principles, values, goals, containers)Yes
idpathstringYes
organisationIdquerystringNo

Example request

curl -X DELETE \
"https://<your-wyrdos-api-host>/api/v1/engines/<kind>/<id>?organisationId=<organisationId>" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json"

Response body type


PUT /api/v1/engines/{kind}/{id}/relationships/{relationship}

Parameters

NameInTypeRequiredDescription
kindpathstring (pillars, principles, values, goals, containers)Yes
idpathstringYes
relationshippathstringYes
organisationIdquerystringNo

Example request

curl -X PUT \
"https://<your-wyrdos-api-host>/api/v1/engines/<kind>/<id>/relationships/<relationship>?organisationId=<organisationId>" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json" \
-d '{"ids":["item_abc123"]}'

Response body type


POST /api/v1/engines/{kind}/{id}/relationships/{relationship}/{targetId}

Parameters

NameInTypeRequiredDescription
kindpathstring (pillars, principles, values, goals, containers)Yes
idpathstringYes
relationshippathstringYes
targetIdpathstringYes
organisationIdquerystringNo

Example request

curl -X POST \
"https://<your-wyrdos-api-host>/api/v1/engines/<kind>/<id>/relationships/<relationship>/<targetId>?organisationId=<organisationId>" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json"

Response body type


DELETE /api/v1/engines/{kind}/{id}/relationships/{relationship}/{targetId}

Parameters

NameInTypeRequiredDescription
kindpathstring (pillars, principles, values, goals, containers)Yes
idpathstringYes
relationshippathstringYes
targetIdpathstringYes
organisationIdquerystringNo

Example request

curl -X DELETE \
"https://<your-wyrdos-api-host>/api/v1/engines/<kind>/<id>/relationships/<relationship>/<targetId>?organisationId=<organisationId>" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json"

Response body type


Risk / off-track items

GET /api/v1/engines/risks

Parameters

NameInTypeRequiredDescription
organisationIdquerystringNo

Example request

curl -X GET \
"https://<your-wyrdos-api-host>/api/v1/engines/risks?organisationId=<organisationId>" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json"

Response body type


Strategic + operational bundle

GET /api/v1/engines/context

Parameters

NameInTypeRequiredDescription
organisationIdquerystringNo

Example request

curl -X GET \
"https://<your-wyrdos-api-host>/api/v1/engines/context?organisationId=<organisationId>" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json"

Response body type